/* Configuration file for changesys
 *
 * $Id: config.h,v 1.16 1992/06/20 06:25:45 root Exp root $
 *
 */

#define NEWSOWNER	"news"
#define NEWSGROUP	"news"
#define NEWSROOT	"postmaster"
/*#define CNEWS		1			/* Comment out for BNEWS */
#define DEFAULTDIST	"to.baghira/all,!local:F:\n"	/* CNEWS default distribution */
#define DEFAULTDENY	""		/* If no entry in changedeny */ 
#define NEEDEDGROUPS	"world,de.her,kph.general,kph.test"	/* Will always add groups */
/* Definition of mailer and news directories */
#define MAILER		"/bin/rmail"
#define PWORDFILE	"/u/news/changepwd"
#define DENYFILE	"/u/news/changedeny"
#define HELPFILE	"/u/news/changehelp"
#define ACTIVE		"/u/news/mysys"
#define SYSFILE		"/u/news/sys"
#define CHANGETEMP	"/u/news/changeXXXXXX"
#define MAILTEMP	"/u/news/mailXXXXXX"
#define LOCKNAME	"/u/news/LOCK"
#define LOCKTEMP	"/u/news/LOCKTMXXXXXX"
#define SUSPENDDIR	"/u/news/suspend"

/* This script prints all subscribed newsgroups from the system %s */
#define PIPECMD		"/u/news/bin/maint/listsub %s"

/*
 * The next definitions are for the suspendsys perl script
 *
 */
#define NUMDAYS		8	/* no of days to wait before to suspend */
#define UUCPSTAT	"/usr/spool/uucp/.Status"
#define OUTDIR		"/usr/spool/news/out.going"
#define UUCPSPOOL	"/usr/spool/uucp"
#define GRADING		1	/* Undefine, if no grading */
#define GSYSLEN		7	/* Maximum length of the system name */
				/* for building the uucp file name, e.g:  */
				/* C.ottoA1234  - Grade A for system otto */
/*#define SVR4GRADE	1	/* Undefine, if no svr4 grading */
#define MAILGRADE	"N"	/* Don't care, if no grading */
#define NEWSGRADE	"d"	/* Don't care, if no grading */

/*
 * It shouldn't be necessary to change anything beyond this point.
 *
 */

/* These are the functions supported by changesys */
#define GETSYS		"getsys"
#define GETALL		"getall"
#define SETSYS		"setsys"
#define DELSYS		"delsys"
#define GETGROUPS	"getgroups"
#define HELP		"help"
#define SUSPENDSYS	"suspendsys"
#define RESTORESYS	"restoresys"

#define INTERVAL	25	/* Time to wait for lock to become free */
#define BUFLEN		100000	/* Should be enough to hold a complete line */
#define MEDBUF		10000	/* Medium Buffer size */
#define SHORTBUF	256
#define NUMSYS		1	/* Number of groups per sys-file line */
#define RETOK		0	/* Everything went fine */
#define RETFAIL		0	/* stop smail complaining on failures */

/* Errorcodes for changesys */
#define OK		0x0000
#define NOSUBJECT	0x0001
#define NOSYSTEM	0x0002
#define NOPASSWD	0x0004
#define NOSYSENTRY	0x0008
#define WRONGSUBJECT	0x0010
#define UNKNOWNSYSTEM	0x0020
#define WRONGPASSWD	0x0040
#define BADSYSCHARS	0x0080
#define LONGLINE	0x0200

int numsys;			/* Number of groups per sysentry line */
int suspend, restore;		/* Flag suspendsys or restoresys command */
FILE *fp;			/* Mail temp file */
char cmd[SHORTBUF];		/* Mail command buffer */

char buffer[BUFLEN+SHORTBUF], sysentry[BUFLEN+SHORTBUF];
char suspendstr[BUFLEN+SHORTBUF];
char denyline[MEDBUF], denystr[MEDBUF], distline[MEDBUF];
char subject[SHORTBUF], sysname[SHORTBUF], passwd[SHORTBUF];
char returnpath[SHORTBUF], sysname_orig[SHORTBUF];
char suspendedfile[SHORTBUF];
